# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define fedora 19
%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

Name:           irclog2html
Version:        2.11.0
Release:        alt1_2
Summary:        Script to convert IRC logs to HTML and other formats

Group:          Communications
License:        GPLv2+
URL:            http://mg.pov.lt/irclog2html/
Source0:        http://pypi.python.org/packages/source/i/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
Source44: import.info


%description
irclog2html is a nice IRC log parser and colorizer that will do the most common
things necessary to make an IRC log readable in a web browser. It can export to
many different HTML formats, and can export MediaWiki pipe-table syntax.

%prep
%setup -q
echo "You may need the irclog.css file. It is available at
  %{_datadir}/%{name}/irclog.css
" > README.fedora

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}
install -Dpm 0644 src/%{name}/irclog.css %{buildroot}%{_datadir}/%{name}

%files
%doc README.txt README.fedora CHANGES.txt
%{_bindir}/%{name}
%{_bindir}/irclogsearch
%{_bindir}/logs2html
%{_datadir}/%{name}/
%{python_sitelibdir_noarch}/%{name}/
%{python_sitelibdir_noarch}/*.egg-info

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 2.11.0-alt1_2
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.11.0-alt1_1
- initial fc import

